import java.util.Arrays;

public class MyArrayList<I> {

    private I[] inputArray;

    public MyArrayList(){}

    public MyArrayList(I[] inputArray){
        this.inputArray = inputArray;
    }

    public I[] add(I x){
        Object[] newArr = new Object[inputArray.length+1];
        System.arraycopy(inputArray, 0 , newArr, 0, inputArray.length);
        newArr[newArr.length-1]= x;

        inputArray = (I []) newArr;
        return inputArray;
    }

    public I get(I x) {
        I result = null;
        for(I i : inputArray) if(i == x) result = i;

        System.out.println(result);
        return result;
    }

    public I[] remove(Integer index) {
        Object[] newArr = new Object[inputArray.length - 1];
        int count = 0;
        for (int i = 0; i < inputArray.length; i++) {
            if (i != index) {
                newArr[count] = inputArray[i];
                count++;
            }
        }
        return (I[]) newArr;

    }

    public I[] remove1(I element){
        int count = 0;
        for(int i = 0; i<inputArray.length; i++) {
            if (inputArray[i].equals(element)) {
                count++;
            }
        }
        I[] newArr = Arrays.copyOf(inputArray, inputArray.length-count);
        int counter = 0;
        for (int i = 0; i < inputArray.length; i++) {
            if(!inputArray[i].equals(element)) {
                newArr[counter] = inputArray[i];
                 counter++;
            }
        }
        return newArr;
    }

    public I[] set(Integer index, I replace){
        for(int i = 0; i < inputArray.length; i++) {
            if (i == index) inputArray[i] = replace;
        }
        System.out.println(inputArray);
        return inputArray;
    }

    public I[] clear(){
        return Arrays.copyOf(inputArray, 0);
    }

    public boolean isEmpty(){
        boolean empty = false;
        if(inputArray.length == 0) empty = true;
        return empty;
    }

    public boolean contains(I element){
        boolean contains = false;
        for(I i : inputArray) {
            if (i == element)
                contains = true;
        }

        return contains;
    }





}
