import java.util.Arrays;
import java.util.Comparator;

public class MySet<T> {

    private T[] inputArray;
    private T value;

    public MySet() {
    }

    public MySet(T value) {
        this.value = value;
    }

    public MySet(T[] inputArray) {
        this.inputArray = inputArray;
    }

    public T[] add(T add) {
        Object[] newArr = new Object[inputArray.length + 1];
        System.arraycopy(inputArray, 0, newArr, 0, inputArray.length);
        newArr[newArr.length - 1] = add;

        inputArray = (T[]) newArr;
        return inputArray;
    }

    public T[] addAll(T[] newArray) {
        for (int i = 0; i < inputArray.length; i++) {
            newArray[i] = inputArray[i];
        }
        return newArray;
    }

    public T[] clear() {
        return Arrays.copyOf(inputArray, 0);

    }

    public boolean contains(T value) {
        boolean contains = false;
        for (T i : inputArray) {
            if (i == value)
                contains = true;
        }

        return contains;

    }

    public boolean containsAll(T[] newArray) {
        boolean contain = false;
        int count = 0;
        for (T i : inputArray) {
            for (T x : newArray) {
                if (i == x) ;
                count++;
            }
        }
        if (count == inputArray.length) contain = true;

        return contain;
    }

    public boolean equals(T[] array1, T[] array2) {
        boolean equals = false;
        if (array1.length == array2.length) {
            equals = true;
        }
        System.out.println(equals);

        return equals;

    }

    public boolean equals(T[] array) {
        boolean equals = false;
        for (T t : inputArray) {
            for (T i : array) {
                if (t == i) {
                    equals = true;
                }
            }
        }
        System.out.println(equals);
        return equals;
    }

    public Integer getHash(T[] array) {
        return array.hashCode();
    }

    public boolean isEmpty() {
        boolean empty = false;
        if (inputArray.length == 0) empty = true;
        return empty;
    }

    public T[] remove(T element) {
        int count = 0;
        boolean remove = false;
        for (int i = 0; i < inputArray.length; i++) {
            if (inputArray[i].equals(element)) {
                count++;
            }
        }
        T[] newArr = Arrays.copyOf(inputArray, inputArray.length - count);
        int counter = 0;
        for (int i = 0; i < inputArray.length; i++) {
            if (!inputArray[i].equals(element)) {
                newArr[counter] = inputArray[i];
                counter++;
                remove = true;
            }
        }
        return newArr;
    }

    public T[] removeAll() {
        return Arrays.copyOf(inputArray, 0);
    }

    public Integer size() {
        return inputArray.length;
    }


    public String[] toArray() {

        return value.toString().split("");
    }

    public boolean retainAll(T[] array) {
        T[] newArr = (T[]) new Object[array.length];
        boolean retain = false;

        for (T t : array) {
            for (T i : inputArray) {
                if (t == i) {

                    System.arraycopy(array, 0, newArr, 0, array.length);
                    retain = true;
                }
            }

        }
        return retain;
    }
}

